#include <avr/io.h>
/*
*/
// calibrated timings
#define DELAY__1US  uDelay (0) 
#define DELAY__4US  uDelay (2)
#define DELAY__6US  uDelay (5)
#define DELAY_64US  uDelay (102)
#define DELAY_60US  uDelay (94)
#define DELAY_10US  uDelay (13)
#define DELAY_15US  uDelay (20)
#define DELAY__9US  uDelay (9)
#define DELAY_55US  uDelay (86)
#define DELAY__0US 
#define DELAY480US  iDelay (410)
#define DELAY_45US  uDelay (70)
#define DELAY410US  iDelay (348)

#define u8 unsigned char

#include "fifo.h"
#include "sio.h"
/**/
#ifndef _1WIRE_C

#define u8 unsigned char
extern void blockBus(void);
extern void uDelay(u8 count);
extern void iDelay(unsigned int count);
extern void wTxbit (u8 bit);
extern void wTxbyte (u8 data);
extern u8 Reset1Wire (void);
extern void GetT(void);

#else
  

// function

#define u8 unsigned char
void blockBus(void);
void uDelay(u8 count);
void iDelay(unsigned int count);
void wTxbit (u8 bit);
void wTxbyte (u8 data);
u8 Reset1Wire (void);
void GetT(void);



#endif
