// FIFO-Buffer fr die serielle Kommunikation
//-------------------------------
// 10.11.05 | GV | Initiale Version


#define FIFO_C


#include <stdlib.h>
#include <avr/delay.h>

#include "fifo.h"


void FIFO_Init(void)
{
	
	putI = getI = size = 0;
	
}

unsigned char FIFO_IsEmpty(void)
{
//	_delay_ms(10);
	return (size == 0); 
}

unsigned char FIFO_IsFull(void)
{
//	DEBUG_print("FIFO_IsFull");
	return (size == FIFO_SIZE);
}

unsigned char FIFO_Put(char ch)
{
	
//	DEBUG_print("FIFO_Put");
	if (size == FIFO_SIZE) return 0;
	
	size ++;
	
	Fifo[putI++] = ch;
	
	if (putI == FIFO_SIZE) putI = 0;
	

	return (1);
}

unsigned char FIFO_Get(char* ch)
{

	if (size == 0) return 0;
	
	
	*ch = Fifo[getI++];
	
	size --; 
	
	if (getI == FIFO_SIZE) getI = 0;
	
	
	return 1;
}
