#ifndef _SIO_H_
#define _SIO_H_

/* USART-Init beim ATmegaXX */

// Prototypes

void SIO_init(void);

void SIO_enableRX(void);

void SIO_enableTX(void);

unsigned char SIO_putChar(unsigned char ch);

uint8_t SIO_getChar(void);

void SIO_putStr (char *s);

#ifndef F_CPU
// #define F_CPU 3686400 /* Oszillator-Frequenz in Hz */
#define F_CPU 16000000 /* Oszillator-Frequenz in Hz */

#endif
#define UART_BAUD_RATE 9600
#define UART_BAUD_CALC(UART_BAUD_RATE,F_OSC) ((F_CPU)/((UART_BAUD_RATE)*16L)-1)


#endif
